# This spec for backport to M24 is autogenerated. Do not edit it.
Name: sane
Version: 1.0.17
Release: alt0.M24.1

Summary: This package contains the SANE docs and utils
Summary(ru_RU.KOI8-R):     SANE

License: GPL
Group: Graphics
Url: http://www.sane-project.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

%define oname %name-backends
Source: ftp://ftp.sane-project.org/pub/sane/%oname-%version/%oname-%version.tar.bz2
#Source: ftp://ftp.sane-project.org/pub/sane/sane-backends-2005-03-20.tar.bz2
#Source1: %name-%version.ru.po
Source2: %name.xinetd
Patch: %name-%version.lock.patch

Requires: lib%name = %version-%release

# manually removed: gcc-g77 libsane-devel
# Automatically added by buildreq on Sat Sep 10 2005
BuildRequires: gcc-c++ libgphoto2-devel libieee1284-devel libjpeg-devel libstdc++-devel libusb-devel pkgconfig
# tetex-core tetex-dvips tetex-latex
BuildRequires: setup libexif-devel

%package -n %name-server
Summary: SANE as network server
Group: System/Libraries
License: LGPL

%package -n lib%name
Summary: SANE shared libraries
Group: System/Libraries
License: LGPL
Provides: sane-backends

%package -n lib%name-devel
Summary: Development environment for SANE
Group: Development/C
License: LGPL
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n lib%name-devel-static
Summary: SANE static libraries
Group: Development/C
License: LGPL
Requires: lib%name-devel = %version-%release

BuildRequires: rpm-build-compat >= 0.4

%description
SANE (Scanner Access Now Easy) is a sane and simple interface to both
local and networked scanners and other image acquisition devices like
digital still and video cameras. SANE currently includes modules for
accessing:

Scanners: Abaton, Agfa, Apple, Artec, Avision, Bell+Howell, Canon,
Epson, Fujitsu, HP, LEO, Microtek, Mustek, NEC, Nikon, Panasonic, PIE,
Plustek, Ricoh, Sceptre, Sharp, Siemens, Tamarack, Teco, UMAX

Digital cameras: Kodak, Polaroid, Connectix QuickCam

and other SANE devices via network (see sane-server package
and read the saned(1) manpage).

%description -l ru_RU.KOI8-R
SANE (Scanner Access Now Easy) --   
          
     ,  
   .    SANE
      ,
 

: Abaton, Agfa, Apple, Artec, Avision, Bell+Howell, Canon,
Epson, Fujitsu, HP, LEO, Microtek, Mustek, NEC, Nikon, Panasonic, PIE,
Plustek, Ricoh, Sceptre, Sharp, Siemens, Tamarack, Teco, UMAX

 : Kodak, Polaroid, Connectix QuickCam

  SANE-  (  sane-server 
   man saned(1)).

%description -n %name-server
This package contains SANE network server components.

%description -n lib%name
This package contains SANE shared libraries
and scanner backend modules.
Install this package for scan programs.

%description -n lib%name -l ru_RU.KOI8-R
     SANE
    .
     .

%description -n lib%name-devel
This package contains development environment for SANE.

%description -n lib%name-devel -l ru_RU.KOI8-R
         SANE.

%description -n lib%name-devel-static
This package contains SANE static libraries.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
     SANE.

%prep
%setup -q -n %oname-%version
%patch -p1

#-%version
#cp -f %%SOURCE1 po/%oname.ru.po

%build
# use USER for dummy check lock group (there is uucp by default)
# group value does not used now in SANE
%__autoreconf
%configure --enable-static --enable-translations --with-gphoto2 \
	--enable-libusb --with-docdir=%_docdir/%name-%version \
	--enable-locking --with-group=$USER \
	--with-lockdir=%_lockdir/%name

%make
#%make -C doc sane.ps.gz

%install
%make_install install DESTDIR=%buildroot

# fix default path to firmware (direct %_libdir here...)
subst "s|/path/to/your/firmware|%_libdir/hotplug/firmware|" %buildroot%_sysconfdir/sane.d/*.conf
install -D -m0644 tools/hotplug/libsane.usermap %buildroot%_sysconfdir/hotplug/usb/libsane.usermap
install -D -m0755 tools/hotplug/libusbscanner %buildroot%_sysconfdir/hotplug/usb/libusbscanner
install -D %SOURCE2 -m0644 %buildroot%_sysconfdir/xinetd.d/%name

%__rm -f %buildroot%_libdir/%name/*.la

%find_lang %oname

%pre -n lib%name
%_sbindir/groupadd -r -f scanner || :

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files
%_docdir/%name-*
%_bindir/sane-find-scanner
%_bindir/scanimage
%_bindir/gamma4scanimage
%_man1dir/*
%exclude %_man8dir/saned*
%exclude %_man1dir/sane-config*
%_man7dir/*

%files -n %name-server
%config(noreplace) %_sysconfdir/xinetd.d/%name
%config(noreplace) %_sysconfdir/sane.d/saned.conf
%_sbindir/*
%_man8dir/saned*

%files -n lib%name -f %oname.lang
%_libdir/*.so.*
%_sysconfdir/hotplug/usb/*
%_man5dir/*
%dir %_sysconfdir/sane.d/
%config(noreplace) %_sysconfdir/sane.d/*
%exclude %_sysconfdir/sane.d/saned.conf
%dir %_libdir/%name/
%_libdir/%name/*.so.*
%dir %_datadir/%name/
%attr(775,root,scanner) %dir %_lockdir/%name/

%files -n lib%name-devel
%_bindir/sane-config
%_man1dir/sane-config*
%_libdir/*.so
%_libdir/%name/*.so
%_includedir/sane

%files -n lib%name-devel-static
%_libdir/*.a
%_libdir/sane/*.a

%changelog
* Sat Feb 18 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0.17-alt0.M24.1
- backport to ALT Linux M24 (by rpmbph script)

* Sat Feb 18 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0.17-alt1
- fix bug with lockdir (#9107) - rewrote lockdir setting
- remove tetex buildreqs

* Sun Dec 18 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.17-alt0.1
- new version

* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.16-alt2
- fix bug #7909 (lock dir placement)
- do install via DESTDIR now

* Sun Sep 04 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.16-alt1
- new version
- add provides sane-backends (for iscan package from Epson)

* Mon Mar 21 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.15-alt4.20050320
- cvs snapshot

* Wed Feb 09 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.15-alt4.20050208
- cvs snapshot from 2005-02-08
- remove dev requires and >/dev/null (bug #5563)
- update summary and description

* Sun Nov 28 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.15-alt2
- add dev requires (bug #5563)

* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.15-alt1
- new version
- remove niash patch (in mainstream now)

* Sun Sep 05 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.14-alt4
- fix permission on config files
- fix russian translation
- add group scanner during package installation (fix bug #4337)

* Sun Jul 04 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.14-alt3
- use a macro for ldconfig
- change URL
- add niash plugin
- update russian translation

* Fri Jun 11 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.14-alt2
- split into subpackages improved (#4338)
- move saned to sane-server package
- add hotplug support (#4337)

* Sat May 15 2004 Vitaly Lipatov <lav@altlinux.ru> 1.0.14-alt1
- new version
- remove COPYING from doc

* Sat Dec 13 2003 Vitaly Lipatov <lav@altlinux.ru> 1.0.13-alt1
- new version
- build without .la files

* Fri Sep 26 2003 Vitaly Lipatov <lav@altlinux.ru> 1.0.12-alt1.1
- remove %make_build

* Wed Sep 24 2003 Vitaly Lipatov <lav@altlinux.ru> 1.0.12-alt1
- new version

* Mon Mar 24 2003 Vitaly Lipatov <lav@altlinux.ru> 1.0.11-alt1
- release of 1.0.11
- update of russian translation
- security patch applied to the release

* Wed Feb 12 2003 AEN <aen@altlinux.ru> 1.0.9-alt2
- security patch

* Mon Oct 28 2002 Vitaly Lipatov <lav@altlinux.ru> 1.0.9-alt1
- release of 1.0.9
- add russian translation in spec
- enable translation (gettext) for sane modules
- remove kernel24-source from BuildRequires (will use
  /usr/include/scsi/sg.h from glibc-devel)

* Tue Sep 17 2002 AEN <aen@altlinux.ru> 1.0.9-alt0.2
- new sources from cvs

* Mon Sep 09 2002 AEN <aen@altlinux.ru> 1.0.9-alt0.1
- built CVS version for J2.1/HomePC

* Mon Jun 03 2002 AEN <aen@logic.ru> 1.0.8-alt1
- new version
- new avision patch

* Mon Mar 25 2002 AEN <aen@logic.ru> 1.0.7-alt2
- avision patch (with HP5300C experimental support)

* Wed Feb 13 2002 AEN <aen@logic.ru> 1.0.7-alt1
- new version
- removed all patches -- merged upstream

* Mon Jan 21 2002 AEN <aen@logic.ru> 1.0.6-alt2
- umax 1220u added

* Fri Jan 18 2002 AEN <aen@logic.ru> 1.0.6-alt1
- new version
- hp backaend included in upstream

* Thu Dec 06 2001 AEN <aen@logic.ru> 1.0.5-alt3
- rebuilt with new libusb

* Wed Nov 14 2001 AEN <aen@logic.ru> 1.0.5-alt2
- new hp backend, thnx to Alexander Goncharenko

* Fri Aug 10 2001 AEN <aen@logic.ru> 1.0.5-alt1
- new version

* Mon Jun 18 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0.4-ipl2mdk
- Libification.
- Specfile cleanup (policy enforcement).

* Mon Jan 08 2001 AEN <aen@logic.ru>
- new version - 1.0.4

* Tue Dec 26 2000 AEN <aen@logic.ru>
- build with gimp-1.2

* Fri Dec 15 2000 AEN <aen@logic.ru>
- patch for new gimp

* Sat Dec 09 2000 AEN <aen@logic.ru>
- rebuild for RE
- glibc22 patch

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.3-2mdk
- rebuild for new libgimp
- fix %%config(noreplace)

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.3-1mdk
- s|1.0.2|1.0.3|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-5mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.2-4mdk

- BMacros
- Some spec file changes

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.2-3mdk

- Fixed group for sane-devel

* Fri Mar 17 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.2-2mdk

- Changed group to match 7.1 specs
- Some spec file changes
- Let spec-helper do its job

* Tue Mar 07 2000 Daouda LO	<daouda@mandrakesoft.com>
-1.0.2

* Mon Nov 15 1999 Florin Grad <florin@mandrakesoft.com>

* Tue Sep 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Recompile with gimp-1.0.4.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild with gimp-1.1.8.

* Thu Aug 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix broken %post %postun broken scripts.

* Tue May 25 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- recompile in a GIMP-friendly environment
- fix some rather stupid spec bugs

* Tue May 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.01.
- Mandrake adaptations.

* Mon Nov 23 1998 Jonathan Miller <jlm@mvhi.com>
 [1.00-1]
- upgraded to 1.00 (and made description less space-consuming)
- included the post 1.00 fixed "configure" script available 22 Nov 1998.

* Sat Aug 08 1998 Arne Coucheron <arneco@online.no>
  [0.74-3]
- added %_sysconfdir/sane.d to %%dir in file list

* Sat Aug 01 1998 Arne Coucheron <arneco@online.no>
  [0.74-2]
- devel Group: reverted back to Development/Other
- some changes to the %%defattr and %%attr usage in file list

* Tue Jul 28 1998 Binaire <binaire@binaire.ml.org>
  [0.74-1]

* Fri May 22 1998 Arne Coucheron <arneco@online.no>
  [0.73-3]
- added use of %%name and %%version macros
- added a %postun for running ldconfig after uninstall
- using BuildRoot properly now
- using %%defattr and %%attr macros in filelist, allows non-root build
  this means that RPM 2.5 is required to build this spec file now!
- devel Group: changed to X11/Libraries
- added using RPM_OPT_FLAGS during make
- added striping of programs and libraries
- added Requires: gtk+ >= 0.99.13 to main package
- added Requires: %%name = %%version to devel package
- added a %clean section for removing the buildroot dir
- simplified the filelist and added %%config for sane-style.rc
- moved lib*.so to %files devel and dropped the *.la files
- added -q parameter to %%setup
- removed some older changelog entries
- removed the "fix ldconfig brokenness..." stuff
- removed the Packager: line; use %_sysconfdir/rpmrc if you want your name in
- if GIMP is installed, make symlink from xscanimage to plug-ins dir
- install the find-scanner program from the tools dir

* Mon May 18 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Version 0.73 was created: May 13 1998
- gimp (original was build against 0.99.29)
- gtk+ (original was build against 1.0.1)
- dlh (original was build against 0.7d)
- X11 development tree including xpm libraries.

* Wed Apr 22 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Binaries are now BuildRoot proof.

* Wed Apr 22 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Binaries are not BuildRoot proof. release 3 is done without BuildRoot!

* Tue Apr 21 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Temp. fix for some documentations problems with BuildRoot.

* Sat Apr 11 1998 Hugo van der Kooij <hvdkooij@caiw.nl>
- Formal 0.72 now made as RPM! (Build against GTK+ 0.99.10 and GIMP 0.99.24)
- Original package was released: Tue Apr 7 1998
